Digitale Infrastruktur - Bug / Feature #8630

Press-CRM verschickt keine MM
21 September 2023 14:14 - Pascal

Status: Closed Start date: 21 September 2023
Priority: Immediate Due date:

Assignee: Pascal % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Request Type: Bug Report

Description

hab Probleme mit dem press crm, beim Versand einer MM

bei recipients werden keine Gruppen angezeigt (Loading failed) und der Versand lauft dann nicht (Testversand geht)
"Error

Mailing has not been saved, Content maybe out of date, please refresh the page and try again”

History

#1 - 21 September 2023 17:18 - jowi
- Status changed from New to Needs Work

- Assignee set to jowi

#2 - 21 September 2023 20:13 - jowi
Das hat wohl mit https://github.com/civicrm/civicrm-core/pull/26585 zu tun aber ich weiss nicht wieso.

#3 - 21 September 2023 20:45 - jowi
- Status changed from Needs Work to Needs Feedback

- Assignee changed from jowi to Pascal
Ich habe die folgenden Patches reverted:
e https://patch-diff.githubusercontent.com/raw/civicrm/civicrm-core/pull/26681.patch

¢ https://patch-diff.githubusercontent.com/raw/civicrm/civicrm-core/pull/26585.patch
o https://patch-diff.githubusercontent.com/raw/civicrm/civicrm-core/pull/27491.patch

Bitte teste mal ob das geholfen hat.

#4 - 21 September 2023 20:56 - Pascal

Der Loading failed bei recipients erscheint nicht mehr, aber beim Versand:

Error

Sorry an error occurred and your information was not saves

und

Error

Mailing has not been saved, Content maybe out of date, please refresh the page and try again.

#5 - 24 September 2023 19:16 - jowi
- Status changed from Needs Feedback to Needs Work

- Assignee changed from Pascal to jowi

#6 - 24 September 2023 20:21 - Pascal

Ich hab gerade nochmal versucht zu verschicken, geht immer noch nicht. Status?
#7 - 25 September 2023 18:28 - Pascal
Status?

Ich muss heute noch eine Medienmitteilung rausschicken.

#8 - 25 September 2023 19:58 - jowi
https://github.com/civicrm/civicrm-core/pull/26585
https://patch-diff.githubusercontent.com/raw/civicrm/civicrm-core/pull/26681.patch
https://patch-diff.githubusercontent.com/raw/civicrm/civicrm-core/pull/26585.patch
https://patch-diff.githubusercontent.com/raw/civicrm/civicrm-core/pull/27491.patch

Irgendwas mit der APIv4 ist da generell kaputt:

PHP Fatal error: Uncaught Error: Class "Civi\\Api4\\MailingGroup" not found in /var/www/html/wp-content/plugi
ns/civicrm/civicrm/CRM/Mailing/BAO/Mailing.php:464

Stack trace:

#0 /var/www/html/wp-content/plugins/civicrm/civicrm/CRM/Mailing/BAO/Mailing.php(1647): CRM_Mailing_BAO_Mailing
::doSubmitActions (Array, Object (CRM_Mailing_ BAO_Mailing))

#1 /var/www/html/wp-content/plugins/civicrm/civicrm/api/v3/utils.php(1294): CRM_Mailing_BAO_Mailing::create (Ar
ray)

#2 /var/www/html/wp-content/plugins/civicrm/civicrm/api/v3/Mailing.php (55): _civicrm_api3_basic_create (CRM_Mai
ling_BAO..., Array, Mailing)

#3 /var/www/html/wp-content/plugins/civicrm/civicrm/Civi/API/Provider/MagicFunctionProvider.php(89): civicrm_a
pi3_mailing_create (Array)

#4 /var/www/html/wp-content/plugins/civicrm/civicrm/Civi/API/Kernel.php(158): Civi\\API\\Provider\\MagicFuncti
onProvider->invoke (Array)

#5 /var/www/html/wp-content/plugins/civicrm/civicrm/Civi/API/Kernel.php (81): Civi\\API\\Kernel->runRequest (Arr
ay)

#6 /var/www/html/wp-content/plugins/civicrm/civicrm/api/api.php(133): Civi\\API\\Kernel->runSafe (Mailing, crea
te, Array)

#7 /var/www/html/wp-content/plugins/civicrm/civicrm/api/v3/Mailing.php(307): civicrm_api3 (Mailing, create, Arr
ay)
#8 /var/www/html/wp-content/plugins/civicrm/civicrm/Civi/API/Provider/MagicFunctionProvider.php(89): civicrm_a

pi3_mailing_submit (Array)
#9 /var/www/html/wp-content/plugins/civicrm/civicrm/Civi/API/Kernel.php(158): Civi\\API\\Provider\\MagicFuncti
onProvider->invoke (Array)
#10 /var/www/html/wp-content/plugins/civicrm/civicrm/Civi/API/Kernel.php(81): Civi\\API\\Kernel->runRequest (Ar
ray)
#11 /var/www/html/wp-content/plugins/civicrm/civicrm/api/api.php(22): Civi\\API\\Kernel->runSafe (Mailing, subm
it, Array)
#12 /var/www/html/wp-content/plugins/civicrm/civicrm/CRM/Utils/REST.php(288): civicrm_api (Mailing, submit, Arr
ay)
#13 /var/www/html/wp-content/plugins/civicrm/civicrm/CRM/Utils/REST.php(533): CRM_Utils_REST::process (Array, A
rray)
#14 /var/www/html/wp-content/plugins/civicrm/civicrm/CRM/Core/Invoke.php (285): CRM_Utils_REST::ajax()
#15 /var/www/html/wp-content/plugins/civicrm/civicrm/CRM/Core/Invoke.php (69): CRM_Core_Invoke::runltem(Array)
#16 /var/www/html/wp-content/plugins/civicrm/civicrm/CRM/Core/Invoke.php (36): CRM_Core_Invoke::_invoke (Array)
#17 /var/www/html/wp-content/plugins/civicrm/civicrm.php(1199): CRM_Core_Invoke::invoke (Array)
#18 /var/www/html/wp-includes/class-wp-hook.php (310): CiviCRM_For_WordPress->invoke ()
#19 /var/www/html/wp-includes/class—wp—hook.php (334): WP_Hook->apply_filters(, Array)
#20 /var/www/html/wp-includes/plugin.php(517): WP_Hook->do_action (Array)
#21 /var/www/html/wp-admin/admin.php (259): do_action (toplevel_page_C...)
#22 {main}

thrown in /var/www/html/wp-content/plugins/civicrm/civicrm/CRM/Mailing/BAO/Mailing.php on line 464

#9 - 25 September 2023 20:38 - Pascal

Kénnte ich als workaround das Passwort von presse@piratenpartei.ch haben, damit ich (hoffentlich) via webmail verschicken kann?

#10 - 25 September 2023 20:54 - jowi

presse@ ist ein Alias von otrs@

#11 - 25 September 2023 21:25 - jowi
- Status changed from Needs Work to Needs Feedback

- Assignee changed from jowi to Pascal

Ich habe grad erfolgreich ein Mail verschickt (kein testmail). Kansst du es nochmal versuchen?
#12 - 25 September 2023 21:39 - Pascal

mail ist grad im Versand.

Am Text durfte es nicht gelegen haben, da die MM zur Motion Gugger am Donnerstag ein anderer Text war.

#13 - 17 October 2023 11:05 - Pascal
- Status changed from Needs Feedback to Closed
